---
Name: cloud-inventory
Description: "Inventory cloud metadata"
Documentation: |
  Collect internal API information about a cloud instance

  Requires `cloud/provider` to be set correctly.
  If not set then does nothing.

  Depending on the cloud provider, sets discovered `cloud/*` data from the cloud's discovery API including:

    * `public-ipv4`
    * `public-hostname`
    * `instance-type`
    * `placement/availability-zone`

  !!! note
      Will throw an error if the reported instance-id does not known `cloud/instance-id`
Tasks:
  - cloud-inventory
Meta:
  type: "fetch"
  icon: "cloud"
  color: "yellow"
  title: "RackN Content"
